image: debian/bookworm
packages:
  - wget
  - tar
  - zstd
  - gpg
  - clang
  - lld
  - xz-utils
  - wine
  - cmake
  - ncurses-bin
  - qtbase5-dev
  - qttools5-dev
sources:
  - https://hg.sr.ht/~mrpapersonic/minori
  - https://github.com/holyblackcat/quasi-msys2
environment:
  BUILD_SUBMITTER: hg.sr.ht
tasks:
  - get-wine32: |
      sudo dpkg --add-architecture i386
      sudo apt-get update
      sudo apt-get -y install wine32:i386
  - build: |
      export WINEARCH=win32
      cd quasi-msys2
      echo MINGW32 >msystem.txt
      make install _gcc _qt5-base _qt5-tools _curl
      cd ../minori
      mkdir build
      cd build
      sudo bash -c 'echo -n 1 >/proc/sys/fs/binfmt_misc/status'
      bash -c 'source ../../quasi-msys2/env/all.src && cmake .. -G "Unix Makefiles" -DCMAKE_AUTOMOC_EXECUTABLE="$(which moc)" -DCMAKE_AUTORCC_EXECUTABLE="$(which rcc)" && make'
triggers:
  - action: email
    condition: failure
    to: Paper <mrpapersonic@gmail.com>
